org.wildfly.swarm.config.security

## Class SecurityDomain<T extends SecurityDomain<T>>

- java.lang.Object
- - org.wildfly.swarm.config.security.SecurityDomain<T>

-     public class SecurityDomain<T extends SecurityDomain<T>>
      extends Object

  Configures a security domain. Authentication, authorization, ACL, mapping, auditing and identity trust are configured here.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SecurityDomain.CacheType`
    `static class` | `SecurityDomain.SecurityDomainResources` Child mutators for SecurityDomain

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecurityDomain(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `SecurityDomain.CacheType` | `cacheType()` Adds a cache to speed up authentication checks.
    `T` | `cacheType(SecurityDomain.CacheType value)` Adds a cache to speed up authentication checks.
    `T` | `classicAcl()` Access control list configuration.
    `T` | `classicAcl(ClassicACL value)` Access control list configuration.
    `T` | `classicAcl(ClassicACLConsumer consumer)` Access control list configuration.
    `T` | `classicAcl(ClassicACLSupplier supplier)` Access control list configuration.
    `T` | `classicAudit()` Auditing configuration.
    `T` | `classicAudit(ClassicAudit value)` Auditing configuration.
    `T` | `classicAudit(ClassicAuditConsumer consumer)` Auditing configuration.
    `T` | `classicAudit(ClassicAuditSupplier supplier)` Auditing configuration.
    `T` | `classicAuthentication()` Traditional authentication configuration.
    `T` | `classicAuthentication(ClassicAuthentication value)` Traditional authentication configuration.
    `T` | `classicAuthentication(ClassicAuthenticationConsumer consumer)` Traditional authentication configuration.
    `T` | `classicAuthentication(ClassicAuthenticationSupplier supplier)` Traditional authentication configuration.
    `T` | `classicAuthorization()` Authorization configuration.
    `T` | `classicAuthorization(ClassicAuthorization value)` Authorization configuration.
    `T` | `classicAuthorization(ClassicAuthorizationConsumer consumer)` Authorization configuration.
    `T` | `classicAuthorization(ClassicAuthorizationSupplier supplier)` Authorization configuration.
    `T` | `classicIdentityTrust()` Identity trust configuration.
    `T` | `classicIdentityTrust(ClassicIdentityTrust value)` Identity trust configuration.
    `T` | `classicIdentityTrust(ClassicIdentityTrustConsumer consumer)` Identity trust configuration.
    `T` | `classicIdentityTrust(ClassicIdentityTrustSupplier supplier)` Identity trust configuration.
    `T` | `classicJsse()` JSSE configuration.
    `T` | `classicJsse(ClassicJSSE value)` JSSE configuration.
    `T` | `classicJsse(ClassicJSSEConsumer consumer)` JSSE configuration.
    `T` | `classicJsse(ClassicJSSESupplier supplier)` JSSE configuration.
    `T` | `classicMapping()` Mapping configuration.
    `T` | `classicMapping(ClassicMapping value)` Mapping configuration.
    `T` | `classicMapping(ClassicMappingConsumer consumer)` Mapping configuration.
    `T` | `classicMapping(ClassicMappingSupplier supplier)` Mapping configuration.
    `String` | `getKey()`
    `T` | `jaspiAuthentication()` JASPI authentication configuration.
    `T` | `jaspiAuthentication(JaspiAuthentication value)` JASPI authentication configuration.
    `T` | `jaspiAuthentication(JaspiAuthenticationConsumer consumer)` JASPI authentication configuration.
    `T` | `jaspiAuthentication(JaspiAuthenticationSupplier supplier)` JASPI authentication configuration.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `SecurityDomain.SecurityDomainResources` | `subresources()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SecurityDomain

          public SecurityDomain(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public SecurityDomain.SecurityDomainResources subresources()

    - #### classicJsse

          public T classicJsse(ClassicJSSE value)

      JSSE configuration. Configures attributes for keystores that can be used for setting up SSL.

    - #### classicJsse

          public T classicJsse(ClassicJSSEConsumer consumer)

      JSSE configuration. Configures attributes for keystores that can be used for setting up SSL.

    - #### classicJsse

          public T classicJsse()

      JSSE configuration. Configures attributes for keystores that can be used for setting up SSL.

    - #### classicJsse

          public T classicJsse(ClassicJSSESupplier supplier)

      JSSE configuration. Configures attributes for keystores that can be used for setting up SSL.

    - #### classicAuthorization

          public T classicAuthorization(ClassicAuthorization value)

      Authorization configuration. Configures a list of authorization policy modules to be used.

    - #### classicAuthorization

          public T classicAuthorization(ClassicAuthorizationConsumer consumer)

      Authorization configuration. Configures a list of authorization policy modules to be used.

    - #### classicAuthorization

          public T classicAuthorization()

      Authorization configuration. Configures a list of authorization policy modules to be used.

    - #### classicAuthorization

          public T classicAuthorization(ClassicAuthorizationSupplier supplier)

      Authorization configuration. Configures a list of authorization policy modules to be used.

    - #### classicAudit

          public T classicAudit(ClassicAudit value)

      Auditing configuration. Configures a list of provider modules to be used.

    - #### classicAudit

          public T classicAudit(ClassicAuditConsumer consumer)

      Auditing configuration. Configures a list of provider modules to be used.

    - #### classicAudit

          public T classicAudit()

      Auditing configuration. Configures a list of provider modules to be used.

    - #### classicAudit

          public T classicAudit(ClassicAuditSupplier supplier)

      Auditing configuration. Configures a list of provider modules to be used.

    - #### classicAcl

          public T classicAcl(ClassicACL value)

      Access control list configuration. Configures a list of ACL modules to be used.

    - #### classicAcl

          public T classicAcl(ClassicACLConsumer consumer)

      Access control list configuration. Configures a list of ACL modules to be used.

    - #### classicAcl

          public T classicAcl()

      Access control list configuration. Configures a list of ACL modules to be used.

    - #### classicAcl

          public T classicAcl(ClassicACLSupplier supplier)

      Access control list configuration. Configures a list of ACL modules to be used.

    - #### jaspiAuthentication

          public T jaspiAuthentication(JaspiAuthentication value)

      JASPI authentication configuration.

    - #### jaspiAuthentication

          public T jaspiAuthentication(JaspiAuthenticationConsumer consumer)

      JASPI authentication configuration.

    - #### jaspiAuthentication

          public T jaspiAuthentication()

      JASPI authentication configuration.

    - #### jaspiAuthentication

          public T jaspiAuthentication(JaspiAuthenticationSupplier supplier)

      JASPI authentication configuration.

    - #### classicMapping

          public T classicMapping(ClassicMapping value)

      Mapping configuration. Configures a list of mapping modules to be used for principal, role, attribute and credential mapping.

    - #### classicMapping

          public T classicMapping(ClassicMappingConsumer consumer)

      Mapping configuration. Configures a list of mapping modules to be used for principal, role, attribute and credential mapping.

    - #### classicMapping

          public T classicMapping()

      Mapping configuration. Configures a list of mapping modules to be used for principal, role, attribute and credential mapping.

    - #### classicMapping

          public T classicMapping(ClassicMappingSupplier supplier)

      Mapping configuration. Configures a list of mapping modules to be used for principal, role, attribute and credential mapping.

    - #### classicIdentityTrust

          public T classicIdentityTrust(ClassicIdentityTrust value)

      Identity trust configuration. Configures a list of trust modules to be used.

    - #### classicIdentityTrust

          public T classicIdentityTrust(ClassicIdentityTrustConsumer consumer)

      Identity trust configuration. Configures a list of trust modules to be used.

    - #### classicIdentityTrust

          public T classicIdentityTrust()

      Identity trust configuration. Configures a list of trust modules to be used.

    - #### classicIdentityTrust

          public T classicIdentityTrust(ClassicIdentityTrustSupplier supplier)

      Identity trust configuration. Configures a list of trust modules to be used.

    - #### classicAuthentication

          public T classicAuthentication(ClassicAuthentication value)

      Traditional authentication configuration. Configures a list of login modules to be used.

    - #### classicAuthentication

          public T classicAuthentication(ClassicAuthenticationConsumer consumer)

      Traditional authentication configuration. Configures a list of login modules to be used.

    - #### classicAuthentication

          public T classicAuthentication()

      Traditional authentication configuration. Configures a list of login modules to be used.

    - #### classicAuthentication

          public T classicAuthentication(ClassicAuthenticationSupplier supplier)

      Traditional authentication configuration. Configures a list of login modules to be used.

    - #### cacheType

          public SecurityDomain.CacheType cacheType()

      Adds a cache to speed up authentication checks. Allowed values are 'default' to use simple map as the cache and 'infinispan' to use an Infinispan cache.

    - #### cacheType

          public T cacheType(SecurityDomain.CacheType value)

      Adds a cache to speed up authentication checks. Allowed values are 'default' to use simple map as the cache and 'infinispan' to use an Infinispan cache.

Copyright © 2018 JBoss by Red Hat. All rights reserved.